SofizPay Logo

SofizPay

SofizPay Logo
SofizPay
Technical Documentation
Bill Payment API

Bill Payment API

Pay your utility bills quickly and securely through our unified API

API Endpoint

POSThttps://sofizpay.com/services/operation_post

This endpoint handles bill payment operations for supported utility services

ADE

ADE

Algérienne Des Eaux

Request Example

bash
curl --location 'https://sofizpay.com/services/operation_post' \
--header 'Content-Type: application/json' \
--data '{      
    "encrypted_sk": "YOUR_ENCRYPTED_SECRET_KEY",
    "amount": 2000,
    "operator": "ade",
    "offer": "ade",
    "bill": "YOUR_BILL_NUMBER"
}'
Service Operator
"ade"
Required Fields
encrypted_sk
amount
operator
offer
bill
Sonelgaz

Sonelgaz

Société Nationale de l'Électricité et du Gaz

Request Example

bash
curl --location 'https://sofizpay.com/services/operation_post' \
--header 'Content-Type: application/json' \
--data '{      
    "encrypted_sk": "YOUR_ENCRYPTED_SECRET_KEY",
    "amount": 2000,
    "operator": "sonelgaz",
    "offer": "sonelgaz",
    "customerId": "YOUR_CUSTOMER_ID",
    "ebb": "YOUR_EBB_NUMBER",
    "bill": "YOUR_BILL_NUMBER"
}'
Service Operator
"sonelgaz"
Required Fields
encrypted_sk
amount
operator
offer
customerId
ebb
bill
Algérie Télécom

Algérie Télécom

Algérie Télécom

Request Example

bash
curl --location 'https://sofizpay.com/services/operation_post' \
--header 'Content-Type: application/json' \
--data '{      
    "encrypted_sk": "YOUR_ENCRYPTED_SECRET_KEY",
    "amount": 20000,
    "operator": "algerie_telecom",
    "offer": "algerie_telecom",
    "phone": "YOUR_PHONE_NUMBER",
    "bill": "YOUR_BILL_NUMBER"
}'
Service Operator
"algerie_telecom"
Required Fields
encrypted_sk
amount
operator
offer
phone
bill

Request Parameters

ParameterTypeDescriptionRequired For
encrypted_skstringEncrypted secret key for authenticationAll
amountnumberPayment amount in DZDAll
operatorstringService provider: ade, sonelgaz, or algerie_telecomAll
offerstringService offer type (same as operator)All
billstringBill number or referenceAll
customerIdstringCustomer ID for SonelgazSonelgaz
ebbstringEBB number for SonelgazSonelgaz
phonestringPhone number for Algérie TélécomAlgérie Télécom

Success Response (200)

json
{
    "status": "success",
    "message": "Bill payment completed successfully",
    "operation_id": "YOUR_OPERATION_ID",
    "transaction_id": "YOUR_TRANSACTION_ID",
    "transaction_status": "confirmed"
}

Note: The bill payment will be processed and confirmation will be sent upon completion.